package textures.worldgen;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

/*  ------------- Nihilne ------------
    * Created by Mitch Weaver - 2016 *
      ~~~~ All Rights Reserved ~~~~ */

public class TileTextures {

	public static void getTextures(BufferedImage image) {
		Textures.tileSheet[0] = Utils.grabSprite(image, 1, 1, 34, 34);
		Textures.tileSheet[1] = Utils.grabSprite(image, 1, 2, 34, 34);
		Textures.tileSheet[2] = Utils.grabSprite(image, 1, 3, 34, 34);
		Textures.tileSheet[3] = Utils.grabSprite(image, 1, 4, 34, 34);
		Textures.tileSheet[4] = Utils.grabSprite(image, 1, 5, 34, 34);
		Textures.tileSheet[5] = Utils.grabSprite(image, 1, 6, 34, 34);
		Textures.tileSheet[6] = Utils.grabSprite(image, 1, 7, 34, 34);
		Textures.tileSheet[7] = Utils.grabSprite(image, 1, 8, 34, 34);
		Textures.tileSheet[8] = Utils.grabSprite(image, 1, 9, 34, 34);
		Textures.tileSheet[9] = Utils.grabSprite(image, 1, 10, 34, 34);
		Textures.tileSheet[10] = Utils.grabSprite(image, 1, 11, 34, 34);
		Textures.tileSheet[11] = Utils.grabSprite(image, 1, 12, 34, 34);
		Textures.tileSheet[12] = Utils.grabSprite(image, 1, 13, 34, 34);
		Textures.tileSheet[13] = Utils.grabSprite(image, 1, 14, 34, 34);
		Textures.tileSheet[14] = Utils.grabSprite(image, 1, 15, 34, 34);
		Textures.tileSheet[15] = Utils.grabSprite(image, 1, 16, 34, 34);
		Textures.tileSheet[16] = Utils.grabSprite(image, 1, 17, 34, 34);
		Textures.tileSheet[17] = Utils.grabSprite(image, 1, 18, 34, 34);
	}
	
	public static void getOceanTextures(BufferedImage image) {
		Textures.tileSheet[18] = Utils.grabSprite(image, 1, 1, 32, 32);
		Textures.tileSheet[19] = Utils.grabSprite(image, 2, 1, 32, 32);
		Textures.tileSheet[20] = Utils.grabSprite(image, 3, 1, 32, 32);
		Textures.tileSheet[21] = Utils.grabSprite(image, 4, 1, 32, 32);
		Textures.tileSheet[22] = Utils.grabSprite(image, 5, 1, 32, 32);
		Textures.tileSheet[23] = Utils.grabSprite(image, 6, 1, 32, 32);
		Textures.tileSheet[24] = Utils.grabSprite(image, 7, 1, 32, 32);
		Textures.tileSheet[25] = Utils.grabSprite(image, 8, 1, 32, 32);
		Textures.tileSheet[26] = Utils.grabSprite(image, 1, 2, 32, 32);
		Textures.tileSheet[27] = Utils.grabSprite(image, 2, 2, 32, 32);
		Textures.tileSheet[28] = Utils.grabSprite(image, 3, 2, 32, 32);
		Textures.tileSheet[29] = Utils.grabSprite(image, 4, 2, 32, 32);
		Textures.tileSheet[30] = Utils.grabSprite(image, 5, 2, 32, 32);
		Textures.tileSheet[31] = Utils.grabSprite(image, 6, 2, 32, 32);
		Textures.tileSheet[32] = Utils.grabSprite(image, 7, 2, 32, 32);
		Textures.tileSheet[33] = Utils.grabSprite(image, 8, 2, 32, 32);
	}
}
